diff --git a/config.def.h b/config.def.h
index 60eb376..b6cf8b6 100644
--- a/config.def.h
+++ b/config.def.h
@@ -47,6 +47,8 @@ static Shortcut shortcuts[] = {
 	{ XK_n,           advance,        {.i = +1} },
 	{ XK_p,           advance,        {.i = -1} },
 	{ XK_r,           reload,         {0} },
+	{ XK_bracketleft, beginning,      {0} },
+	{ XK_bracketright,end,            {0} },
 };
 
 static Filter filters[] = {
diff --git a/sent.c b/sent.c
index c50a572..84f9b67 100644
--- a/sent.c
+++ b/sent.c
@@ -97,6 +97,8 @@ static void cleanup(int slidesonly);
 static void reload(const Arg *arg);
 static void load(FILE *fp);
 static void advance(const Arg *arg);
+static void beginning(const Arg *arg);
+static void end(const Arg *arg);
 static void quit(const Arg *arg);
 static void resize(int width, int height);
 static void run();
@@ -475,6 +477,28 @@ advance(const Arg *arg)
 	}
 }
 
+void
+beginning(const Arg *arg)
+{
+	if (idx != 0) {
+		if (slides[idx].img)
+			slides[idx].img->state &= ~SCALED;
+		idx = 0;
+		xdraw();
+	}
+}
+
+void
+end(const Arg *arg)
+{
+	if (idx != slidecount-1) {
+		if (slides[idx].img)
+			slides[idx].img->state &= ~SCALED;
+		idx = slidecount-1;
+		xdraw();
+	}
+}
+
 void
 quit(const Arg *arg)
 {
